summaryrefslogtreecommitdiffstats
path: root/libexec/container/version
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-04-11 11:54:03 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-04-11 12:45:05 +0000
commit80056eeb0bed7c1b3346d68dd2d515b8b8ebf6bb (patch)
treef2ea6acfa29b1a7fbaa0fbf9934bc5264bcde947 /libexec/container/version
parentReleasing version 20210101. (diff)
downloadcompute-tools-80056eeb0bed7c1b3346d68dd2d515b8b8ebf6bb.tar.xz
compute-tools-80056eeb0bed7c1b3346d68dd2d515b8b8ebf6bb.zip
Moving command files from /usr/lib to /usr/libexec.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'libexec/container/version')
-rwxr-xr-xlibexec/container/version48
1 files changed, 48 insertions, 0 deletions
diff --git a/libexec/container/version b/libexec/container/version
new file mode 100755
index 0000000..c2b7716
--- /dev/null
+++ b/libexec/container/version
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+PROJECT="open-infrastructure"
+PROGRAM="container"
+COMMAND="$(basename ${0})"
+
+HOOKS="/etc/${PROJECT}/${PROGRAM}/hooks"
+SHARE="/usr/share/${PROJECT}/${PROGRAM}"
+
+# Pre hooks
+for FILE in "${HOOKS}/pre-${COMMAND}".* "${HOOKS}/${NAME}.pre-${COMMAND}"
+do
+ if [ -x "${FILE}" ]
+ then
+ "${FILE}"
+ fi
+done
+
+# Run
+cat "${SHARE}/VERSION.txt"
+
+# Post hooks
+for FILE in "${HOOKS}/post-${COMMAND}".* "${HOOKS}/${NAME}.post-${COMMAND}"
+do
+ if [ -x "${FILE}" ]
+ then
+ "${FILE}"
+ fi
+done